EDIT - task #6006

setup automatic refresh of repositories in Redmine
07/25/2016 10:34 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: devOps Estimated time: 0:00 hour
Target version:

Severity: normal

Description

This needs to be done for all repos in redmine:

http://www.redmine.org/projects/redmine/wiki/HowTo_setup automatic refresh_of repositories_in_Redmine_on_commit

done for all existing subprojects of EDIT:

edit svn with /var/svn/edit/hooks/user-post-commit - no longer needed -
e cdm-dataportal.qgit
e cdmlib-apps

e cdmlib

¢ taxeditor

History

#1 - 07/25/2016 11:09 AM - Andreas Kohlbecker
- Description updated

- % Done changed from 0 to 20

#2 - 07/25/2016 11:09 AM - Andreas Kohlbecker

- Description updated
#3 - 07/25/2016 04:57 PM - Andreas Miiller
Andreas Kohlbecker wrote:

done for:

e edit svn with /var/svn/edit’/hooks/user-post-commit

Seems like it didn't work. | had to update manually again

#4 - 07/25/2016 04:58 PM - Andreas Miiller
- Category set to devOps

#5 - 07/25/2016 04:58 PM - Andreas Miiller

- Assignee set to Andreas Kohlbecker

#6 - 07/26/2016 08:22 AM - Andreas Kohlbecker
- Description updated
- % Done changed from 20 to 30
Andreas Muller wrote:
Andreas Kohlbecker wrote:
done for:

e edit svn with /var/svn/edit’/hooks/user-post-commit
http://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit

Seems like it didn't work. | had to update manually again

There was a permission problem with the post commit hook

#7 - 09/09/2016 08:27 AM - Andreas Kohlbecker

- Description updated

the SVN is no longer synced with the git repositories. The svn repos which have been migrated to git are only archives and have readonly access.
The refresh must therefore only configured in git.

| created a generic post-receive hook which can be configured individually for the specific git repos:

/var/git/.hooks

#8 - 09/09/2016 09:46 AM - Andreas Kohlbecker

- Description updated
| tested the hook, it works!

#9 - 09/20/2016 11:44 PM - Andreas Kohlbecker
- Status changed from New to Closed

- Keywords set to redmine, git
No problems so far, the refresh works for all configured repos.

#10 - 10/25/2016 02:55 PM - Andreas Kohlbecker
- % Done changed from 30 to 100
